Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.Designer.cs	(revision 122)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.Designer.cs	(revision 123)
@@ -580,8 +369,8 @@
             // 
             // col21
             // 
-            dataGridViewCellStyle60.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.col21.DefaultCellStyle = dataGridViewCellStyle60;
+            dataGridViewCellStyle18.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col21.DefaultCellStyle = dataGridViewCellStyle18;
             this.col21.HeaderText = "13回目";
             this.col21.Name = "col21";
             this.col21.ReadOnly = true;
@@ -591,8 +380,8 @@
             // 
             // col22
             // 
-            dataGridViewCellStyle61.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.col22.DefaultCellStyle = dataGridViewCellStyle61;
+            dataGridViewCellStyle19.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col22.DefaultCellStyle = dataGridViewCellStyle19;
             this.col22.HeaderText = "14回目";
             this.col22.Name = "col22";
             this.col22.ReadOnly = true;
@@ -602,8 +391,8 @@
             // 
             // col23
             // 
-            dataGridViewCellStyle62.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.col23.DefaultCellStyle = dataGridViewCellStyle62;
+            dataGridViewCellStyle20.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col23.DefaultCellStyle = dataGridViewCellStyle20;
             this.col23.HeaderText = "15回目";
             this.col23.Name = "col23";
             this.col23.ReadOnly = true;
@@ -613,8 +402,8 @@
             // 
             // col098
             // 
-            dataGridViewCellStyle63.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.col098.DefaultCellStyle = dataGridViewCellStyle63;
+            dataGridViewCellStyle21.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col098.DefaultCellStyle = dataGridViewCellStyle21;
             this.col098.HeaderText = "残り";
             this.col098.Name = "col098";
             this.col098.ReadOnly = true;
@@ -631,6 +420,219 @@
             this.col99.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.col99.Width = 240;
             // 
+            // label2
+            // 
+            this.label2.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(128)))));
+            this.label2.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label2.CausesValidation = false;
+            this.label2.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.label2.Location = new System.Drawing.Point(12, 63);
+            this.label2.Name = "label2";
+            this.label2.Size = new System.Drawing.Size(100, 25);
+            this.label2.TabIndex = 2;
+            this.label2.Text = "請求先";
+            this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // btnEntry
+            // 
+            this.btnEntry.BackColor = System.Drawing.Color.GreenYellow;
+            this.btnEntry.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnEntry.ForeColor = System.Drawing.Color.Black;
+            this.btnEntry.Location = new System.Drawing.Point(1071, 585);
+            this.btnEntry.Name = "btnEntry";
+            this.btnEntry.Size = new System.Drawing.Size(120, 28);
+            this.btnEntry.TabIndex = 13;
+            this.btnEntry.Text = "登　録";
+            this.btnEntry.UseVisualStyleBackColor = false;
+            this.btnEntry.Click += new System.EventHandler(this.btnEntry_Click);
+            // 
+            // btnEnd
+            // 
+            this.btnEnd.BackColor = System.Drawing.Color.Magenta;
+            this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnEnd.ForeColor = System.Drawing.Color.Black;
+            this.btnEnd.Location = new System.Drawing.Point(1197, 585);
+            this.btnEnd.Name = "btnEnd";
+            this.btnEnd.Size = new System.Drawing.Size(120, 28);
+            this.btnEnd.TabIndex = 14;
+            this.btnEnd.Text = "終　了";
+            this.btnEnd.UseVisualStyleBackColor = false;
+            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
+            // 
+            // btnAdd
+            // 
+            this.btnAdd.BackColor = System.Drawing.Color.Orange;
+            this.btnAdd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnAdd.ForeColor = System.Drawing.Color.Black;
+            this.btnAdd.Location = new System.Drawing.Point(158, 585);
+            this.btnAdd.Name = "btnAdd";
+            this.btnAdd.Size = new System.Drawing.Size(120, 28);
+            this.btnAdd.TabIndex = 12;
+            this.btnAdd.Text = "回数追加";
+            this.btnAdd.UseVisualStyleBackColor = false;
+            this.btnAdd.Click += new System.EventHandler(this.btnAdd_Click);
+            // 
+            // btnOtherProc
+            // 
+            this.btnOtherProc.BackColor = System.Drawing.Color.Lime;
+            this.btnOtherProc.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnOtherProc.ForeColor = System.Drawing.Color.Black;
+            this.btnOtherProc.Location = new System.Drawing.Point(12, 585);
+            this.btnOtherProc.Name = "btnOtherProc";
+            this.btnOtherProc.Size = new System.Drawing.Size(140, 28);
+            this.btnOtherProc.TabIndex = 11;
+            this.btnOtherProc.Text = "他の画面へ";
+            this.btnOtherProc.UseVisualStyleBackColor = false;
+            this.btnOtherProc.Click += new System.EventHandler(this.btnOtherProc_Click);
+            // 
+            // lblStatus
+            // 
+            this.lblStatus.BackColor = System.Drawing.Color.GreenYellow;
+            this.lblStatus.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.lblStatus.Location = new System.Drawing.Point(132, 25);
+            this.lblStatus.Name = "lblStatus";
+            this.lblStatus.Size = new System.Drawing.Size(35, 16);
+            this.lblStatus.TabIndex = 1;
+            this.lblStatus.Text = "請求準備";
+            this.lblStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            this.lblStatus.Visible = false;
+            // 
+            // label4
+            // 
+            this.label4.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(128)))));
+            this.label4.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label4.CausesValidation = false;
+            this.label4.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.label4.Location = new System.Drawing.Point(594, 64);
+            this.label4.Name = "label4";
+            this.label4.Size = new System.Drawing.Size(100, 25);
+            this.label4.TabIndex = 4;
+            this.label4.Text = "請求月";
+            this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // cbReqMonth
+            // 
+            this.cbReqMonth.BackColor = System.Drawing.Color.White;
+            this.cbReqMonth.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+            this.cbReqMonth.FormattingEnabled = true;
+            this.cbReqMonth.Location = new System.Drawing.Point(699, 64);
+            this.cbReqMonth.Name = "cbReqMonth";
+            this.cbReqMonth.Size = new System.Drawing.Size(109, 24);
+            this.cbReqMonth.TabIndex = 5;
+            // 
+            // label5
+            // 
+            this.label5.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(128)))));
+            this.label5.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label5.CausesValidation = false;
+            this.label5.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.label5.Location = new System.Drawing.Point(819, 64);
+            this.label5.Name = "label5";
+            this.label5.Size = new System.Drawing.Size(100, 25);
+            this.label5.TabIndex = 6;
+            this.label5.Text = "請求回数";
+            this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // lblReqOrder
+            // 
+            this.lblReqOrder.BackColor = System.Drawing.Color.White;
+            this.lblReqOrder.Location = new System.Drawing.Point(924, 64);
+            this.lblReqOrder.Name = "lblReqOrder";
+            this.lblReqOrder.Size = new System.Drawing.Size(85, 24);
+            this.lblReqOrder.TabIndex = 7;
+            this.lblReqOrder.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // btnApproval
+            // 
+            this.btnApproval.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(128)))), ((int)(((byte)(128)))));
+            this.btnApproval.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnApproval.Location = new System.Drawing.Point(2, 6);
+            this.btnApproval.Name = "btnApproval";
+            this.btnApproval.Size = new System.Drawing.Size(130, 27);
+            this.btnApproval.TabIndex = 0;
+            this.btnApproval.Text = "請求書申請";
+            this.btnApproval.UseVisualStyleBackColor = false;
+            this.btnApproval.Click += new System.EventHandler(this.btnApproval_Click);
+            // 
+            // txtOrderer
+            // 
+            this.txtOrderer.BackColor = System.Drawing.Color.White;
+            this.txtOrderer.ImeMode = System.Windows.Forms.ImeMode.On;
+            this.txtOrderer.Location = new System.Drawing.Point(117, 65);
+            this.txtOrderer.Name = "txtOrderer";
+            this.txtOrderer.ReadOnly = true;
+            this.txtOrderer.Size = new System.Drawing.Size(470, 23);
+            this.txtOrderer.TabIndex = 3;
+            this.txtOrderer.TextChanged += new System.EventHandler(this.txtOrderer_TextChanged);
+            this.txtOrderer.Validating += new System.ComponentModel.CancelEventHandler(this.txtOrderer_Validating);
+            // 
+            // button1
+            // 
+            this.button1.Font = new System.Drawing.Font("ＭＳ 明朝", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.button1.Location = new System.Drawing.Point(1271, 25);
+            this.button1.Name = "button1";
+            this.button1.Size = new System.Drawing.Size(45, 23);
+            this.button1.TabIndex = 15;
+            this.button1.Text = "･･･";
+            this.button1.UseVisualStyleBackColor = true;
+            this.button1.Visible = false;
+            this.button1.Click += new System.EventHandler(this.button1_Click_1);
+            // 
+            // pnlNormal
+            // 
+            this.pnlNormal.Controls.Add(this.btnApproval);
+            this.pnlNormal.Location = new System.Drawing.Point(1014, 56);
+            this.pnlNormal.Name = "pnlNormal";
+            this.pnlNormal.Size = new System.Drawing.Size(136, 36);
+            this.pnlNormal.TabIndex = 8;
+            // 
+            // pnlApproval
+            // 
+            this.pnlApproval.Controls.Add(this.btnDeny);
+            this.pnlApproval.Controls.Add(this.btnPend);
+            this.pnlApproval.Controls.Add(this.btnAgree);
+            this.pnlApproval.Location = new System.Drawing.Point(1014, 56);
+            this.pnlApproval.Name = "pnlApproval";
+            this.pnlApproval.Size = new System.Drawing.Size(254, 36);
+            this.pnlApproval.TabIndex = 9;
+            this.pnlApproval.Visible = false;
+            // 
+            // btnDeny
+            // 
+            this.btnDeny.BackColor = System.Drawing.Color.Red;
+            this.btnDeny.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnDeny.Location = new System.Drawing.Point(169, 5);
+            this.btnDeny.Name = "btnDeny";
+            this.btnDeny.Size = new System.Drawing.Size(80, 27);
+            this.btnDeny.TabIndex = 2;
+            this.btnDeny.Text = "不承認";
+            this.btnDeny.UseVisualStyleBackColor = false;
+            this.btnDeny.Click += new System.EventHandler(this.btnDeny_Click);
+            // 
+            // btnPend
+            // 
+            this.btnPend.BackColor = System.Drawing.Color.Yellow;
+            this.btnPend.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnPend.Location = new System.Drawing.Point(86, 5);
+            this.btnPend.Name = "btnPend";
+            this.btnPend.Size = new System.Drawing.Size(80, 27);
+            this.btnPend.TabIndex = 1;
+            this.btnPend.Text = "保留";
+            this.btnPend.UseVisualStyleBackColor = false;
+            this.btnPend.Click += new System.EventHandler(this.btnPend_Click);
+            // 
+            // btnAgree
+            // 
+            this.btnAgree.BackColor = System.Drawing.Color.Lime;
+            this.btnAgree.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnAgree.Location = new System.Drawing.Point(3, 5);
+            this.btnAgree.Name = "btnAgree";
+            this.btnAgree.Size = new System.Drawing.Size(80, 27);
+            this.btnAgree.TabIndex = 0;
+            this.btnAgree.Text = "承認";
+            this.btnAgree.UseVisualStyleBackColor = false;
+            this.btnAgree.Click += new System.EventHandler(this.btnAgree_Click);
+            // 
             // FrmRequestInput
             // 
             this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.None;
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs	(revision 122)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs	(revision 123)
@@ -456,8 +456,18 @@
 
                 // 文字色は一律黒
                 dgv1[tcol, trow].Style.ForeColor = Color.Black;
+
+                // 金額系入力時にIMEモードをオフにする
+                dgv1.ImeMode = System.Windows.Forms.ImeMode.NoControl;
+
             }
+            else
+            {
+                // コメント入力時にIMEモードをオンにする
+                dgv1.ImeMode = System.Windows.Forms.ImeMode.Hiragana;
 
+            }
+
             this.dgv1.CellBeginEdit += dgv1_CellBeginEdit;
         }
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.Designer.cs	(revision 122)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.Designer.cs	(revision 123)
@@ -71,7 +71,6 @@
             this.comboBox2 = new System.Windows.Forms.ComboBox();
             this.label2 = new System.Windows.Forms.Label();
             this.dgvMaster = new System.Windows.Forms.DataGridView();
-            this.btnEnd = new System.Windows.Forms.Button();
             this.EditStatus = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.No = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.OrderersDivision = new System.Windows.Forms.DataGridViewTextBoxColumn();
@@ -149,6 +148,7 @@
             this.ApprovalAuthority_10 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.ApprovalDate_10 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.ApprovalOrder_10 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.btnEnd = new System.Windows.Forms.Button();
             this.panel1.SuspendLayout();
             this.groupBoxEx1.SuspendLayout();
             ((System.ComponentModel.ISupportInitialize)(this.numericUpDown2)).BeginInit();
@@ -462,20 +462,6 @@
             this.dgvMaster.Size = new System.Drawing.Size(1399, 474);
             this.dgvMaster.TabIndex = 7;
             // 
-            // btnEnd
-            // 
-            this.btnEnd.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnEnd.BackColor = System.Drawing.Color.Magenta;
-            this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnEnd.ForeColor = System.Drawing.Color.Black;
-            this.btnEnd.Location = new System.Drawing.Point(1287, 597);
-            this.btnEnd.Name = "btnEnd";
-            this.btnEnd.Size = new System.Drawing.Size(120, 30);
-            this.btnEnd.TabIndex = 20;
-            this.btnEnd.Text = "終　了";
-            this.btnEnd.UseVisualStyleBackColor = false;
-            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
-            // 
             // EditStatus
             // 
             dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
@@ -1031,6 +1017,20 @@
             this.ApprovalOrder_10.Name = "ApprovalOrder_10";
             this.ApprovalOrder_10.Visible = false;
             // 
+            // btnEnd
+            // 
+            this.btnEnd.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+            this.btnEnd.BackColor = System.Drawing.Color.Magenta;
+            this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnEnd.ForeColor = System.Drawing.Color.Black;
+            this.btnEnd.Location = new System.Drawing.Point(1287, 597);
+            this.btnEnd.Name = "btnEnd";
+            this.btnEnd.Size = new System.Drawing.Size(120, 30);
+            this.btnEnd.TabIndex = 20;
+            this.btnEnd.Text = "終　了";
+            this.btnEnd.UseVisualStyleBackColor = false;
+            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
+            // 
             // FrmSalesConfirm
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(9F, 15F);
@@ -1044,7 +1044,8 @@
             this.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.Margin = new System.Windows.Forms.Padding(4);
             this.Name = "FrmSalesConfirm";
-            this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.FrmSelectPayment_FormClosing);
+            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
+            this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.FrmSalesConfirm_FormClosing);
             this.Load += new System.EventHandler(this.FrmSalesConfirm_Load);
             this.panel1.ResumeLayout(false);
             this.panel1.PerformLayout();
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.cs	(revision 122)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.cs	(revision 123)
@@ -31,11 +31,14 @@
 {
     public partial class FrmSalesConfirm : Form
     {
+        #region 使用定義
         /// <summary>
         /// ロガー
         /// </summary>
         private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
 
+        #region 定数
         /// <summary>
         /// 承認状態
         /// </summary>
@@ -180,7 +183,6 @@
             ConstrSubPersonCode,
             ConstructionInstructor,
             DetailNo,
-            //ReqConstructionName,
             DetailString,
             ApprovalPersonName1,
             ApprovalPerson1,
@@ -236,15 +238,6 @@
         }
 
         /// <summary>
-        /// 請求先キー
-        /// </summary>
-        private class OrderersKey
-        {
-            public int OrderersDivision;
-            public int OrderersCode;
-        }
-
-        /// <summary>
         /// 入金請求先情報
         /// </summary>
         private class DepositOrderer
@@ -370,7 +363,6 @@
             public int OrderNo;
             public string ConstructionName;
             public string ConstructionNameRow;
-            //public string PaymentSchedule;
             public string BillCreationDate;
             public long BillPrice;
             public long TaxPrice;
@@ -432,12 +424,9 @@
 
         private List<DepositOrderer> depositOrderers;
 
-        /// <summary>編集フラグ</summary>
-        private bool isDirty = false;
+        ///// <summary>編集前のセルの内容</summary>
+        //private string oldCellValue = "";
 
-        /// <summary>編集前のセルの内容</summary>
-        private string oldCellValue = "";
-
         /// <summary>データ表示の対象営業期</summary>
         private int m_Select_TargetBusinessPeriod = 0;
 
@@ -450,13 +439,7 @@
         /// <summary>データ表示の対象担当者</summary>
         private int m_Select_TargetPerson = 0;
 
-        /// <summary>終了ボタン押下フラグ</summary>
-        private bool m_CloseingProcessOff = false;
-
-        /// <summary>データ表示の対象期間</summary>
-        private int m_TargetPeriod = 2;
-
-        // ユーザー情報
+        /// <summary> ユーザー情報</summary>
         private ClsSecurityPermission.UserInfo m_UserInfo = new ClsSecurityPermission.UserInfo()
         {
             m_Type = CommonDefine.SecurityRankPos.NormalAuthority,
@@ -464,12 +447,15 @@
             m_SecRange = ClsSecurityPermission.SecRangeType.InCharge
         };
 
-        // 部署コンボボックス用リスト
+        /// <summary> 部署コンボボックス用リスト</summary>
         public List<KeyValuePair<int, String>> listDepartment = new List<KeyValuePair<int, String>>();
 
-        // 担当者コンボボックス用リスト
+        /// <summary> 担当者コンボボックス用リスト</summary>
         public List<KeyValuePair<int, String>> listPerson = new List<KeyValuePair<int, String>>();
 
+        #endregion
+
+        #region コンストラクタ
         /// <summary>
         /// コンストラクタ
         /// </summary>
@@ -477,7 +463,9 @@
         {
             InitializeComponent();
         }
+        #endregion
 
+        #region フォームロード
         /// <summary>
         /// フォームロードイベント
         /// </summary>
@@ -487,25 +475,7 @@
         {
             try
             {
-                // 対象月コンボBOX設定
-                //IODepositData IoDd = new IODepositData();
-                //string now = DateTime.UtcNow.ToString("yyyy/MM");
-                //List<DepositData> lstDd = new List<DepositData>();
-                //List<string> lstDate = new List<string>();
 
-                //IoDd.SelectAction(" group by TargetDate order by TargetDate desc", ref lstDd);
-
-                //foreach (DepositData DdInfo in lstDd)
-                //{
-                //    lstDate.Add(DdInfo.TargetDate.Insert(4, "/"));
-                //}
-                //if (lstDate.IndexOf(now) < 0)
-                //{
-                //    lstDate.Insert(0, now);
-                //}
-
-                //comboBox1.Items.AddRange(lstDate.ToArray());
-
                 //////////////////////////////////////////////////////////////////////////////
                 // ■画面表示時のイベントを停止
                 //////////////////////////////////////////////////////////////////////////////
@@ -527,12 +497,12 @@
 
                 CommonMotions.GetPeriodYear(ref minval, ref maxval);
 
-                // 最大営業期（現在の営業期）
+                // 最大営業期
                 numericUpDown2.Maximum = maxval;
-                // 最小営業期（現在の営業期-過去年数）
+                // 最小営業期
                 numericUpDown2.Minimum = minval;
-                // 初期値は最大営業期
-                numericUpDown2.Value = maxval;
+                // 初期値は現在の営業期
+                numericUpDown2.Value = CommonMotions.SystemMasterData.BusinessPeriod;
 
 
                 // 対象月
@@ -593,8 +563,42 @@
                 numericUpDown2.ValueChanged += new System.EventHandler(this.numericUpDown2_ValueChanged);
             }
         }
+        #endregion
 
+        #region フォームクローズ
         /// <summary>
+        /// フォームクローズイベント
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmSalesConfirm_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            try
+            {
+                //if (m_CloseingProcessOff) return;
+
+                //if (isDirty)
+                //{
+                //    if (MessageBox.Show("データに変更があります、登録せずに終了してよろしいですか？。", "終了確認"
+                //                    , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                //    {
+                //        e.Cancel = true;
+                //        return;
+                //    }
+                //}
+
+                // 前プロセスに戻る
+                ClsExcute.BackProcess();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 部署情報取得
+        /// <summary>
         /// 部署情報取得
         /// </summary>
         /// <param name="sender"></param>
@@ -626,6 +630,8 @@
         /// <param name="e"></param>
         private ArrayList getDepartmentListQuery(int iPersonCode)
         {
+            var depDb = new IODepositData();
+
             try
             {
                 var sql = new StringBuilder();
@@ -654,7 +660,6 @@
                 sql.Append("ORDER BY  ");
                 sql.Append("DEPM.DisplayOrder ASC");                                          // 部署マスタ．表示順（昇順）
 
-                var depDb = new IODepositData();
                 var data = new ArrayList();
                 if (!depDb.ExecuteReader(sql.ToString(), ref data)) return new ArrayList();
                 return data;
@@ -664,9 +669,16 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
                 return new ArrayList();
             }
+            finally
+            {
+                depDb.close();
+                depDb = null;
+            }
 
         }
+        #endregion
 
+        #region 担当者情報取得
         /// <summary>
         /// 担当者情報取得
         /// </summary>
@@ -699,6 +711,8 @@
         /// <param name="e"></param>
         private ArrayList getPersonListQuery(int iDepartmentCode)
         {
+            var depDb = new IODepositData();
+
             try
             {
                 var sql = new StringBuilder();
@@ -725,7 +739,6 @@
                 sql.Append("ORDER BY  ");
                 sql.Append("PERIM.DisplayOrder ASC");                                          // 部署マスタ．表示順（昇順）
 
-                var depDb = new IODepositData();
                 var data = new ArrayList();
                 if (!depDb.ExecuteReader(sql.ToString(), ref data)) return new ArrayList();
                 return data;
